# BFGS Algorithm

<p>This command is used to construct a Broyden-Fletcher-Goldfarb-Shanno
(BFGS) algorithm object. The BFGS method is one of the most effective
matrix-update or quasi Newton methods for iteration on a nonlinear
system of equations. The method computes new search directions at each
iteration step based on the initial jacobian, and subsequent trial
solutions. The unlike regular Newton-Raphson does not require the
tangent matrix be reformulated and refactored at every iteration,
however unlike ModifiedNewton it does not rely on the tangent matrix
from a previous iteration.</p>

```tcl
algorithm BFGS
```
<hr />
<p>REFERNCES:</p>
<ol>
<li>Denis, J.E "A Brief Survey of Convergence Methods for Quasi_Newton
Methods", SIAMS-AMS Proceedings, Vol (9), 185-200, 1976.</li>
<li>K.J. Bathe and A.P.Cimento "Some Practical Procedures for the
Solution of Nonlinear Finte Element Equations", Computer Methods in
Applied Mechanics and Engineering, Vol(22) 59-85, 1980.</li>
</ol>
<hr />

## Theory

<hr />
<p>Code Developed by: <span style="color:blue"> fmk
</span></p>
