# Penalty

<p>This command is used to construct a Penalty constraint handler, which
enforces the constraints using the penalty method. The following is the
command to construct a penalty constraint handler:</p>

```tcl
constraints Penalty $alphaS $alphaM
```

<hr />
<table>
<tbody>
<tr class="odd">
<td><p><code class="parameter-table-variable">alphaS</code></p></td>
<td><p>penalty $\alpha_S$ factor on single point
constraints</p></td>
</tr>
<tr class="even">
<td><p><code class="parameter-table-variable">alphaM</code></p></td>
<td><p>penalty $\alpha_M$ factor on multi-point
constraints</p></td>
</tr>
</tbody>
</table>
<hr />
<p>NOTES:</p>
<ul>
<li>The degree to which the constraints are enforced is dependent on the
penalty values chosen. Problems can arise if these values are too small
(constraint not enforced strongly enough) or too large (problems
associated with conditioning of the system of equations).</li>
</ul>
<hr />

## Theory

<hr />
<p>Code Developed by: <span style="color:blue"> fmk
</span></p>
