# AC3D8

<p>This command is used to construct an eight-node 3D brick acoustic
element object based on a trilinear isoparametric formulation.</p>

```tcl
element AC3D8 $eleTag $node1 $node2 $node3 $node4 $node5
        $node6 $node7 $node8 $matTag
```
<hr />
<table>
<tbody>
<tr class="odd">
<td><code class="parameter-table-variable">eleTag</code></td>
<td><p>unique element object tag</p></td>
</tr>
<tr class="even">
<td><p><strong>$node1 ..$node8</strong></p></td>
<td><p>8 end nodes</p></td>
</tr>
<tr class="odd">
<td><code class="parameter-table-variable">matTag</code></td>
<td><p>Material Tag of previously defined nD material</p></td>
</tr>
</tbody>
</table>
<hr />
<p>For further documentation and figures see attached:<a
href="http://opensees.berkeley.edu/doc/AC3D8.pdf">pdf</a></p>
<p>Reference: ABAQUS theory manual. (2.9.1 Coupled acoustic-structural
medium analysis)</p>
<hr />
<p>Code Developed by: <span style="color:blue"> </span> Quan
Gu, Yichao Gao and Zhijian Qiu</p>
