# ASI3D8

<p>This command is used to construct an eight-node zero-thickness 3D
brick acoustic-structure interface element object based on a bilinear
isoparametric formulation. The nodes in the acoustic domain share the
same coordinates with the nodes in the solid domain.</p>

```tcl
element ASI3D8 $eleTag $node1 $node2 $node3 $node4 $node5
        $node6 $node7 $node8
```
<hr />
<table>
<tbody>
<tr class="odd">
<td><code class="parameter-table-variable">eleTag</code></td>
<td><p>unique element object tag</p></td>
</tr>
<tr class="even">
<td><p><strong>$node1 ..$node4</strong></p></td>
<td><p>four nodes defining structure domain of element boundaries
(numbered as shown in pdf)</p></td>
</tr>
<tr class="odd">
<td><p><strong>$node5 .. $node8</strong></p></td>
<td><p>four nodes defining acoustic domain of element boundaries
(numbered as shown in pdf)</p></td>
</tr>
</tbody>
</table>
<hr />
<p>For further documentation and figures see attached:<a
href="http://opensees.berkeley.edu/doc/ASI3D8.pdf">pdf</a></p>
<p>Reference: ABAQUS theory manual. (2.9.1 Coupled acoustic-structural
medium analysis)</p>
<hr />
<p>Code Developed by: <span style="color:blue"> </span> Quan
Gu, Yichao Gao and Zhijian Qiu</p>
