# AV3D4

<p>This command is used to construct a four-node 3D acoustic viscous
boundary quad element object based on a bilinear isoparametric
formulation.</p>

```tcl
element AV3D4 $eleTag $node1 $node2 $node3 $node4
        $matTag
```
<hr />
<table>
<tbody>
<tr class="odd">
<td><code class="parameter-table-variable">eleTag</code></td>
<td><p>unique element object tag</p></td>
</tr>
<tr class="even">
<td><p><strong>$node1 ..$node4</strong></p></td>
<td><p>4 end nodes</p></td>
</tr>
<tr class="odd">
<td><code class="parameter-table-variable">matTag</code></td>
<td><p>Material Tag of previously defined nD material</p></td>
</tr>
</tbody>
</table>
<hr />
<p>For further documentation and figures see attached:<a
href="http://opensees.berkeley.edu/doc/AV3D4.pdf">pdf</a></p>
<hr />
<p>Code Developed by: <span style="color:blue"> </span> Quan
Gu, Yichao Gao and Zhijian Qiu</p>
