# ShellNLDKGQ

<p>This command is used to construct a ShellNLDKGQ element object
accounting for the geometric nonlinearity of large deformation using the
updated Lagrangian formula, which is developed based on the ShellDKGQ
element.</p>

```tcl
element ShellNLDKGQ $eleTag $iNode $jNode $kNode $lNode
        $secTag
```
<hr />
<table>
<tbody>
<tr class="odd">
<td><code class="parameter-table-variable">eleTag</code></td>
<td><p>unique element object tag</p></td>
</tr>
<tr class="even">
<td><p><code class="parameter-table-variable">iNode jNode kNode lNode</code></p></td>
<td><p>four nodes defining element boundaries, input in clockwise or
counter-clockwise order around the element.</p></td>
</tr>
<tr class="odd">
<td><code class="parameter-table-variable">secTag</code></td>
<td><p>tag associated with previously-defined SectionForceDeformation
object. Currently can be a PlateFiberSection, a
ElasticMembranePlateSection and a LayeredShell section.</p></td>
</tr>
</tbody>
</table>
<hr />
<p>NOTE:</p>
<ol>
<li>Three examples of this element can be found on the following
URL</li>
</ol>
<p><a
href="http://www.luxinzheng.net/download/OpenSEES/Examples_of_NLDKGQ_element.htm">http://www.luxinzheng.net/download/OpenSEES/Examples_of_NLDKGQ_element.htm</a></p>
<p><strong>References</strong>:</p>
<table>
<tbody>
<tr class="odd">
<td><p><strong>[1]</strong></p></td>
<td><p>Lu XZ, Xie LL, Guan H, Huang YL, Lu X, A shear wall element for
nonlinear seismic analysis of super-tall buildings using OpenSees,
Finite Elements in Analysis &amp; Design, 2015, 98: 14-25.</p></td>
</tr>
<tr class="even">
<td></td>
<td></td>
</tr>
</tbody>
</table>
<p>Code Developed by : <span style="color:blue"> Lisha Wang,
Tsinghua University, Prof. Xinzheng Lu, Tsinghua University, Linlin Xie,
Tsinghua University, Prof. Song Cen, Tsinghua University and Prof. Quan
Gu, Xiamen University </span></p>
