# Twenty Eight Node Brick u-p Element

<p><strong>Twenty_Eight_Node_BrickUP</strong> is a 20-node hexahedral
isoparametric element.</p>
<p>The eight corner nodes have 4 degrees-of-freedom (DOF) each: DOFs 1
to 3 for solid displacement (u) and DOF 4 for fluid pressure (p). The
other nodes have 3 DOFs each for solid displacement. This element is
implemented for simulating dynamic response of solid-fluid fully coupled
material, based on Biot's theory of porous medium.</p>
<p><strong>Please</strong> <a
href="PressureDependMultiYield02-Example_3" title="wikilink"> click
here</a> <strong>for examples.</strong></p>
<p>OUTPUT INTERFACE:</p>
<p>Pore pressure can be recorded at an element node using OpenSees Node
Recorder:</p>
<p><strong>recorder Node &lt;-file $fileName&gt; &lt;-time&gt; &lt;-node
($nod1 $nod2 …)&gt; -dof 3 vel</strong></p>
<p>See OpenSees command manual (McKenna and Fenves 2001) for nodal
displacement, velocity, or acceleration recorders.</p>
<p>The valid queries to a Twenty_Eight_Node_BrickUP element when
creating an ElementRecorder are 'force', 'stiffness', or 'material
matNum matArg1 matArg2 ...', where matNum represents the material object
at the corresponding integration point.</p>
<table>
<tbody>
<tr class="odd">
<td><p><strong>element 20_8_BrickUP $eleTag $Node1 … $Node20 $matTag
$bulk $fmass $PermX $PermY $PermZ &lt;$bX=0 $bY=0
$bZ=0&gt;</strong></p></td>
</tr>
</tbody>
</table>
<figure>
<img src="/OpenSeesRT/contrib/static/Elem20_8.png" title="Elem20_8.png" alt="Elem20_8.png" />
<figcaption aria-hidden="true">Elem20_8.png</figcaption>
</figure>
<table>
<tbody>
<tr class="odd">
<td><code class="parameter-table-variable">eleTag</code></td>
<td><p>A positive integer uniquely identifying the element among all
elements</p></td>
</tr>
<tr class="even">
<td><p><strong>$Node1,… $Node20</strong></p></td>
<td><p>20 element node (previously defined) numbers (see figure above
for order of numbering).</p></td>
</tr>
<tr class="odd">
<td><code class="parameter-table-variable">matTag</code></td>
<td><p>Tag of an NDMaterial object (previously defined) of which the
element is composed</p></td>
</tr>
<tr class="even">
<td><code class="parameter-table-variable">bulk</code></td>
<td><p>Combined undrained bulk modulus B&lt;sub&gt;c&lt;/sub&gt;
relating changes in pore pressure and volumetric strain, may be
approximated by:</p>
<p>B&lt;sub&gt;c&lt;/sub&gt; &amp;asymp; B&lt;sub&gt;f&lt;/sub&gt;/n</p>
<p>where B&lt;sub&gt;f&lt;/sub&gt; is the bulk modulus of fluid phase
(2.2x10&lt;sup&gt;6&lt;/sup&gt; kPa (or 3.191x10&lt;sup&gt;5&lt;/sup&gt;
psi) for water), and n the initial porosity.</p></td>
</tr>
<tr class="odd">
<td><code class="parameter-table-variable">fmass</code></td>
<td><p>Fluid mass density</p></td>
</tr>
<tr class="even">
<td><p><strong>$permX, $permY, $permZ</strong></p></td>
<td><p>Permeability coefficients in x, y, and z directions
respectively.</p></td>
</tr>
<tr class="odd">
<td><p><strong>$bX, $bY, $bZ</strong></p></td>
<td><p>Optional gravity acceleration components in x, y, and z
directions directions respectively (defaults are 0.0)</p></td>
</tr>
</tbody>
</table>
<p>Code Developed by: <span style="color:blue"> UC San Diego (Dr.
Zhaohui Yang)</span>:</p>
<hr />
<p>UC San Diego Soil Model: </p>
