# UniaxialJ2Plasticity

<p>This command is used to construct a uniaxial J2 Plasticity material
object with isotropic and kinematic hardening.</p>

```tcl
uniaxialMaterial UniaxialJ2Plasticity $matTag $E $sigmaY
        $Hkin $Hiso
```
<hr />
<table>
<tbody>
<tr class="odd">
<td><code class="parameter-table-variable">matTag</code></td>
<td><p>unique material object integer tag</p></td>
</tr>
<tr class="even">
<td><code class="parameter-table-variable">E</code></td>
<td><p>initial tangent stiffness</p></td>
</tr>
<tr class="odd">
<td><code class="parameter-table-variable">sigmaY</code></td>
<td><p>yield stress (or force)</p></td>
</tr>
<tr class="even">
<td><code class="parameter-table-variable">Hkin</code></td>
<td><p>kinematic hardening Modulus</p></td>
</tr>
<tr class="odd">
<td><code class="parameter-table-variable">Hiso</code></td>
<td><p>isotropic hardening Modulus</p></td>
</tr>
</tbody>
</table>
<p>Note: For this material class, the sensitivity parameters can be: E,
sigmaY, Hkin, Hiso</p>
<hr />
<dl>
<dt></dt>
<dd>
<dl>
<dt></dt>
<dd>
Reference:
</dd>
<dd>
Conte J.P., Vijalapura P., Meghella M. (2003). “Consistent finite
element response sensitivities analysis.” Journal of Engineering
Mechanics (ASCE), 129(12):1380-1393.
</dd>
</dl>
</dd>
</dl>
