## **Main References:** {#main_references}

-   "Computational Model for Cyclic Mobility and Associated Shear
    Deformation," (2003), Z. Yang, A. Elgamal and E. Parra, J.
    Geotechnical and Geoenvironmental Engineering, ASCE, 129(12),
    1119-1127.
    [http://dx.doi.org/10.1061/(ASCE)1090-0241(2003)129:12(1119)
    link](http://dx.doi.org/10.1061/(ASCE)1090-0241(2003)129:12(1119)_link "wikilink")


-   "Modeling of Cyclic Mobility in Saturated Cohesionless Soils,"
    (2003), A. Elgamal, Z. Yang, E. Parra and A. Ragheb, Int. J.
    Plasticity, 19, (6), 883-905.
    [http://dx.doi.org/10.1016/S0749-6419(02)00010-4
    link](http://dx.doi.org/10.1016/S0749-6419(02)00010-4_link "wikilink")


-   "Influence of Permeability on Liquefaction-Induced Shear
    Deformation," (2002), Z. Yang and A. Elgamal, J. Engineering
    Mechanics, ASCE, 128(7), 720-729.
    [http://dx.doi.org/10.1061/(ASCE)0733-9399(2002)128:7(720)
    link](http://dx.doi.org/10.1061/(ASCE)0733-9399(2002)128:7(720)_link "wikilink")


-   "Computational Modeling of Cyclic Mobility and Post-Liquefaction
    Site Response," (2002), A. Elgamal, Z. Yang and E. Parra, Soil
    Dynamics and Earthquake Engineering, 22(4), 259-271.
    [http://dx.doi.org/10.1016/S0267-7261(02)00022-2
    link](http://dx.doi.org/10.1016/S0267-7261(02)00022-2_link "wikilink")


-   "A 3D model for earthquake-induced liquefaction triggering and
    post-liquefaction response," (2018), Khosravifar, A., Elgamal, A.,
    Lu, J., and Li, J., Soil Dynamics and Earthquake Engineering, 110,
    43-52. [https://doi.org/10.1016/j.soildyn.2018.04.008
    link](https://doi.org/10.1016/j.soildyn.2018.04.008_link "wikilink")


-   "Numerical Modeling of Earthquake Site Response Including Dilation
    and Liquefaction," (2000), Zhaohui Yang, PhD Thesis, Dept. of Civil
    Engineering and Engineering Mechanics, Columbia University, NY, New
    York.


-   "Numerical Modeling of Liquefaction and Lateral Ground Deformation
    Including Cyclic Mobility and Dilation Response in Soil Systems,"
    (1996), Ender Parra, PhD Thesis, Dept. of Civil Engineering,
    Rensselaer Polytechnic Institute, Troy, NY.

## **More References:** {#more_references}

-   "Numerical Analysis of Seismically Induced Deformations In Saturated
    Granular Soil Strata," (1994), Ahmed M. Ragheb, PhD Thesis, Dept. of
    Civil Engineering, Rensselaer Polytechnic Institute, Troy, NY.


-   "Identification and Modeling of Earthquake Ground Response,"
    (1995), A. -W. Elgamal, M. Zeghal, and E. Parra, First International
    Conference on Earthquake Geotechnical Engineering, IS-TOKYO'95, Vol.
    3, 1369-1406, Ishihara, K., Ed., Balkema, Tokyo, Japan, Nov. 14-16.
    (Invited Theme Lecture).


-   "Prediction of Seismically-Induced Lateral Deformation During Soil
    Liquefaction," (1995), T. Abdoun and A. -W. Elgamal, Eleventh
    African Regional Conference on Soil Mechanics and Foundation
    Engineering, International Society for Soil Mechanics and Foundation
    Engineering, Cairo, Egypt, Dec. 11-15.


-   "Liquefaction of Reclaimed Island in Kobe, Japan," (1996), A. -W.
    Elgamal, M. Zeghal, and E. Parra, Journal of Geotechnical
    Engineering, ASCE, Vol. 122, No. 1, 39-49, January.


-   "Analyses and Modeling of Site Liquefaction Using Centrifuge Tests,"
    (1996), E. Parra, K. Adalier, A. -W. Elgamal, M. Zeghal, and A.
    Ragheb, Eleventh World Conference on Earthquake Engineering,
    Acapulco, Mexico, June 23-28.


-   "Identification and Modeling of Earthquake Ground Response II: Site
    Liquefaction," (1996), M. Zeghal, A. -W. Elgamal, and E. Parra, Soil
    Dynamics and Earthquake Engineering, Vol. 15, 523-547, Elsevier
    Science Ltd.


-   "Soil Dilation and Shear Deformations During Liquefaction," (1998a),
    A.-W. Elgamal, R. Dobry, E. Parra, and Z. Yang, , Proc. 4th Intl.
    Conf. on Case Histories in Geotechnical Engineering, S. Prakash,
    Ed., St. Louis, MO, March 8-15, pp1238-1259.


-   "Liquefaction Constitutive Model," (1998b), A.-W. Elgamal, E.
    Parra, Z. Yang, R. Dobry and M. Zeghal, Proc. Intl. Workshop on The
    Physics and Mechanics of Soil Liquefaction, Lade, P., Ed., Sept.
    10-11, Baltimore, MD, Balkema.


-   "Modeling of Liquefaction-Induced Shear Deformations," (1999), A.
    Elgamal, Z. Yang, E. Parra and R. Dobry, Second International
    Conference on Earthquake Geotechnical Engineering, Lisbon, Portugal,
    21-25 June, Balkema.


-   "Dynamic Soil Properties, Seismic Downhole Arrays and Applications
    in Practice," (2001), A.-W. Elgamal, T. Lai, Z. Yang and L. He, 4th
    International Conference on Recent Advances in Geotechnical
    Earthquake Engineering and Soil Dynamics, S. Prakash, Ed., San
    Diego, California, USA, March 26-31.


-   "Numerical Analysis of Embankment Foundation Liquefaction
    Countermeasures," (2002), A. Elgamal, E. Parra, Z. Yang, and K.
    Adalier, J. Earthquake Engineering, 6(4), 447-471.


-   "Application of unconstrained optimization and sensitivity analysis
    to calibration of a soil constitutive model ," (2003), Z. Yang
    and A. Elgamal, Int. J for Numerical and Analytical Methods in
    Geomechanics, 27 (15), 1255-1316.


-   "A Web-based Platform for Live Internet Computation of Seismic
    Ground Response," (2004), Z. Yang, J. Lu, and A. Elgamal, Advances
    in Engineering Software, 35, 249-259.


-   "Earth Dams on Liquefiable Foundation: Numerical Prediction of
    Centrifuge Experiments," (2004), Z. Yang, A. Elgamal, K. Adalier,
    and M. Sharp, J. Engineering Mechanics, ASCE, 130(10), 1168-1176.


-   "Dynamic Response of Saturated Dense Sand in Laminated Centrifuge
    Container," (2005), A. Elgamal, Z. Yang, T. Lai, B.L. Kutter, and D.
    Wilson, J. Geotechnical and Geoenvironmental Engineering, ASCE,
    131(5), 598-609.


-   "Modeling Soil Liquefaction Hazards for Performance-Based Earthquake
    Engineering," (2001), "S. Kramer, and A. Elgamal, Pacific Earthquake
    Engineering Research (PEER) Center Report No. 2001/13, Berkeley, CA.

