# NDMaterial Command

<p>&lt;noinclude&gt; This command is used to construct an NDMaterial
object which represents the stress-strain relationship at the
gauss-point of a continuum element.</p>

```tcl
nDMaterial matType? arg1? ...
```
<hr />
<p>The type of material created and the additional arguments required
depends on the <strong>matType?</strong> provided in the command.</p>
<p>NOTE:</p>
<p>The valid queries to any uniaxial material when creating an
ElementRecorder are 'strain', and 'stress'. Some materials have
additional queries to which they will respond. These are documented in
the NOTES section for those materials.</p>
<p>The following contain information about matType? and the args
required for each of the available material types:
&lt;/noinclude&gt;</p>
<ul>
<li><a href="Elastic_Isotropic_Material" title="wikilink">Elastic
Isotropic Material</a></li>
<li><a href="Elastic_Orthotropic_Material" title="wikilink">Elastic
Orthotropic Material</a></li>
<li><a href="J2_Plasticity_Material" title="wikilink">J2 Plasticity
Material</a></li>
<li><a href="Drucker_Prager" title="wikilink"> Drucker Prager
Material</a></li>
<li><a href="Damage2p" title="wikilink"> Concrete Damage Model</a></li>
<li><a href="Plane_Stress_Material" title="wikilink">Plane Stress
Material</a></li>
<li><a href="Plane_Strain_Material" title="wikilink">Plane Strain
Material</a></li>
<li><a href="MCP" title="wikilink"> Multi Axial Cyclic
Plasticity</a></li>
<li><a href="Bounding_Cam_Clay" title="wikilink"> Bounding Surface Cam
Clay Material</a></li>
<li><a href="Plate_Fiber_Material" title="wikilink">Plate Fiber
Material</a></li>
<li><a href="Plane_Stress_Concrete_Materials" title="wikilink">Plane
Stress Concrete Materials</a></li>
<li><a href="FSAM_-_2D_RC_Panel_Constitutive_Behavior"
title="wikilink">FSAM - 2D RC Panel Constitutive Behavior</a></li>
<li>Tsinghua Sand Models
<ul>
<li><a href="CycLiqCP_Material_(Cyclic_ElasticPlasticity)"
title="wikilink">CycLiqCP Material (Cyclic ElasticPlasticity)</a></li>
<li><a href="CycLiqCPSP_Material" title="wikilink">CycLiqCPSP
Material</a></li>
</ul></li>
<li><a href="Manzari_Dafalias_Material" title="wikilink">Manzari
Dafalias Material</a></li>
<li><a href="J2CyclicBoundingSurface_Material"
title="wikilink">J2CyclicBoundingSurface Material</a></li>
<li><a href="PM4Sand_Material" title="wikilink">PM4Sand
Material</a></li>
<li><a href="PM4Silt_Material_(Beta)" title="wikilink">PM4Silt Material
(Beta)</a></li>
<li><a href="Stress_Density_Material" title="wikilink">Stress Density
Material</a></li>
<li>Materials for Modeling Concrete Walls
<ul>
<li><a
href="http://www.luxinzheng.net/download/OpenSEES/En_THUShell_OpenSEES.htm">PlaneStressUserMaterial</a></li>
<li><a
href="http://www.luxinzheng.net/download/OpenSEES/En_THUShell_OpenSEES.htm">PlateFromPlaneStress</a></li>
<li><a
href="http://www.luxinzheng.net/download/OpenSEES/En_THUShell_OpenSEES.htm">PlateRebar</a></li>
<li><a
href="http://www.luxinzheng.net/download/OpenSEES/En_THUShell_OpenSEES.htm">LayeredShell</a></li>
</ul></li>
<li>Contact Materials for 2D and 3D
<ul>
<li><a href="ContactMaterial2D"
title="wikilink">ContactMaterial2D</a></li>
<li><a href="ContactMaterial3D"
title="wikilink">ContactMaterial3D</a></li>
</ul></li>
<li>Wrapper material for Initial State Analysis
<ul>
<li><a href="InitialStateAnalysisWrapper"
title="wikilink">InitialStateAnalysisWrapper</a></li>
</ul></li>
<li>UC San Diego soil models (Linear/Nonlinear, dry/drained/undrained
soil response under general 2D/3D static/cyclic loading conditions
(please visit <a href="http://soilquake.net/opensees">UCSD</a> for
examples)
<ul>
<li><a href="PressureIndependMultiYield_Material"
title="wikilink">PressureIndependMultiYield Material</a></li>
<li><a href="PressureDependMultiYield_Material"
title="wikilink">PressureDependMultiYield Material</a></li>
<li><a href="PressureDependMultiYield02_Material"
title="wikilink">PressureDependMultiYield02 Material</a></li>
<li><a href="PressureDependMultiYield03_Material"
title="wikilink">PressureDependMultiYield03 Material</a></li>
</ul></li>
<li>UC San Diego Saturated Undrained soil
<ul>
<li><a href="FluidSolidPorousMaterial"
title="wikilink">FluidSolidPorousMaterial</a></li>
</ul></li>
<li>Misc.
<ul>
<li><a href="AcousticMedium" title="wikilink">AcousticMedium</a></li>
</ul></li>
<li>Steel &amp;amp; Reinforcing-Steel Materials
<ul>
<li><a href="UVCmultiaxial_(Updated_Voce-Chaboche)"
title="wikilink">UVCmultiaxial (Updated Voce-Chaboche)</a></li>
<li><a href="UVCplanestress_(Updated_Voce-Chaboche)"
title="wikilink">UVCplanestress (Updated Voce-Chaboche)</a></li>
</ul></li>
</ul>
