---
title: Library Reference
...

# Library Reference

The `opensees` package can be divided by the following objectives:

- Modeling
- Analysis
- Runtime
- Utilities
- Post-processing

## Modeling Libraries
- [`opensees.element`](modeling/element)

#### Materials
- [`opensees.uniaxial`](modeling/uniaxial)
- [`opensees.material`](modeling/material)
- [`opensees.backbone`](modeling/backbone)

#### Sections
- [`opensees.section`](modeling/section)
- [`opensees.patch`](modeling/section/patch)
- [`opensees.layer`](modeling/section/layer)
- [`opensees.fiber`](modeling/section/fiber)

## Utilities

- [`opensees.units`](units)

